package org.hso.texturesyncclient.view.importView

import javafx.stage.FileChooser
import javafx.stage.FileChooser.ExtensionFilter
import tornadofx.Controller
import tornadofx.FileChooserMode
import tornadofx.chooseFile

class ImportViewController : Controller() {

    fun btnFileChooserAction() {
        println("btn click")

        var list = listOf("*.png", "*.PNG", "*.jpg", "*.JPG", "*.jpeg", "*.JPEG")
        var filter = ExtensionFilter("Texturen vom Bildformat: PNG oder JPG", list)
        val arrayFilter = arrayOf(filter)
        var file = chooseFile("Textur auswählen", arrayFilter, FileChooserMode.Single, owner = null)

        println(file)

    }
}